Page MenuHomePhabricator

Qubes-Whonix 10 -> 11 upgrades
Closed, ResolvedPublic

Description

Instructions:
https://www.whonix.org/wiki/Upgrading_Whonix_10_to_Whonix_11

Progress on documenting Qubes specific 10 -> 11 upgrade issues has been made:
https://www.whonix.org/w/index.php?title=Upgrading_Whonix_10_to_Whonix_11&diff=16487&oldid=16470

There are a few Qubes specific issues to solve. Documentation on how users can work around those.

issue 1:

www.whonix.org/wiki/Upgrading_Whonix_10_to_Whonix_11#Configuring_iptables-persistent_dialog

issue 2:

Updating Qubes App Menus... (/usr/lib/qubes/qubes-trigger-sync-appmenus.sh) runs forever. Locked up 5 times now. (Manually edited that script to disable this for now so the upgrade runs through.)

When that happens, we could advice users to open another terminal and to run:
sudo killall qubes-trigger-sync-appmenus.sh

But that solution is not great because it makes the upgrade process cumbersome, tedious. Any better idea?

TODO: provide debug output to Marek as per https://groups.google.com/d/msg/qubes-users/MoUqGfMpMu0/GQfKwN1jBgAJ


Currently upgrading Whonix-Workstation template. Will test upgrade a Whonix-Gateway template soon. Upgrade is slow. Still running. There may or may not be other issues during upgrading or after restart.

Details

Impact
High

Event Timeline

Patrick created this task.Jul 25 2015, 9:02 PM
Patrick raised the priority of this task from to High.
Patrick updated the task description. (Show Details)
Patrick added projects: Qubes, Whonix 11.
Patrick set Impact to High.
Patrick added subscribers: Patrick, nrgaway, marmarek.
Patrick added a comment.EditedJul 25 2015, 9:05 PM

issue 3:

Package configuration                                                                                                 
 ┌───────────────────────────────────────────┤ Configuring base-passwd ├───────────────────────────────────────────┐  
 │                                                                                                                 │  
 │ update-passwd has found a difference between your system accounts and the current Debian defaults.  It is       │  
 │ advisable to allow update-passwd to change your system; without those changes some packages might not work      │  
 │ correctly.  For more documentation on the Debian account policies, please see                                   │  
 │ /usr/share/doc/base-passwd/README.                                                                              │  
 │                                                                                                                 │  
 │ The proposed change is:                                                                                         │  
 │                                                                                                                 │  
 │ Remove group "qubes" (98)                                                                                       │  
 │                                                                                                                 │  
 │ If you allow this change, a backup of modified files will be made with the extension .org, which you can use    │  
 │ if necessary to restore the current settings.  If you do not make this change now, you can make it later with   │  
 │ the update-passwd utility.                                                                                      │  
 │                                                                                                                 │  
 │ Do you want to remove the group qubes?                                                                          │  
 │                                                                                                                 │  
 │                                 <Yes>                                    <No>                                   │  
 │                                                                                                                 │  
 └─────────────────────────────────────────────────────────────────────────────────────────────────────────────────┘

Qubes specific. Most likely specific to the Debian templates, not Qubes-Whonix specific.

What should one answer? Trying "no".

(Also happens on jessie -> stretch upgrades. Therefore unspecific to Whonix.)

Reported upstream at Qubes tracker:
https://github.com/QubesOS/qubes-issues/issues/1105

Patrick added a comment.EditedJul 25 2015, 9:10 PM

Issue 4:
We don't have the upgraded qubes-whonix 11 package for in the repository yet.

Patrick added a comment.EditedJul 25 2015, 9:35 PM

issue 5:

apt-get dist-upgrade

The following packages have been kept back:
db5.1-util grub-common grub-pc grub-pc-bin grub2-common
0 upgraded, 0 newly installed, 0 to remove and 5 not upgraded.

I guess we can simply recommend to purge those?

apt-get purge db5.1-util grub-common grub-pc grub-pc-bin grub2-common

Patrick added a comment.EditedJul 25 2015, 9:38 PM

issue 6:
After upgrade, after "sudo shutdown" and starting the upgraded template, I am unable to start (using "Run command in VM") xterm, konsole and gnome-terminal. Neither any other applications are startable.

Update... Qubes specific issue with it's Debian package versions and repository:
https://github.com/QubesOS/qubes-issues/issues/1095#issuecomment-127013501

Patrick updated the task description. (Show Details)Aug 2 2015, 9:51 PM
Patrick updated the task description. (Show Details)
Patrick updated the task description. (Show Details)Aug 6 2015, 4:26 AM
Patrick updated the task description. (Show Details)Aug 6 2015, 3:21 PM
Patrick closed this task as Resolved.Aug 14 2015, 5:29 PM
Patrick claimed this task.